package scalapi.jdk.concurrent

import scala.concurrent.Future
import scala.concurrent.Await.result
import scala.concurrent.duration._

object Futures {

  def futureToValue[T](future: Future[Any])(implicit atMost: Duration = 5.seconds): T =
    result(future, atMost).asInstanceOf[T]

}
